Bug 201153 - Review Request: tuxpuck - 3D Shufflepuck Pong Game
Summary: Review Request: tuxpuck - 3D Shufflepuck Pong Game
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Wart
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FE-ACCEPT
TreeView+ depends on / blocked
 
Reported: 2006-08-03 08:41 UTC by Hugo Cisneiros
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-07 13:17:33 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
wtogami: fedora-cvs+


Attachments (Terms of Use)

Description Hugo Cisneiros 2006-08-03 08:41:45 UTC
Spec URL: http://www.devin.com.br/eitch/fextras/SPECS/tuxpuck.spec
SRPM URL: http://www.devin.com.br/eitch/fextras/SRPMS/tuxpuck-0.8.2-1.src.rpm
Description: 

TuxPuck is a shufflepuck game written in C using SDL. The player moves a pad
around a board and tries to shoot down the puck through the opponents defense.
Easy to play, difficult to win.

Comment 1 Michał Bentkowski 2006-08-03 10:39:18 UTC
SPEC looks clear, but mock build fails. You have to add BuildRequires:
desktop-file-install

Comment 2 Wart 2006-08-04 20:39:28 UTC
GOOD
====
* rpmlint output clean
* Package and spec file named appropriately
* Spec file legible and in Am. English
* GPL license ok, license file included
* Source matches upstream:
  fc839abc2b1f3eafae397e1ed6487079  tuxpuck-0.8.2.tar.gz
* Builds in mock on FC4, FC5, and FC6 for both i386 and x86_64
* Not relocatable
* No locales
* No shared libs
* RPM_BUILD_ROOT cleaned where necessary
* macro usage consistent
* .desktop file installed correctly
* no -devel package needed
* no need for -doc subpackage
* Does not own directories that it should not.
* Package runs, but won't let me win.  ;)


MUSTFIX
=======
* Remove the comment about 'doesn't build with optflags', since you are
  building it with %optflags

* Add BR: desktop-file-utils, as mentioned in comment #1


Comment 3 Hugo Cisneiros 2006-08-06 20:16:06 UTC
Thanks for the review guys. Package updated with fixes from Comment #1 and 
Comment #2:

Spec URL: http://www.devin.com.br/eitch/fextras/SPECS/tuxpuck.spec
SRPM URL: http://www.devin.com.br/eitch/fextras/SRPMS/tuxpuck-0.8.2-1.src.rpm

Comment 4 Wart 2006-08-07 05:39:37 UTC
MUSTFIX items fixed.  Please remember to bump the Release number and update the
%changelog entries during the review.  It makes it easier for the reviewers to
track what's changed.

APPROVED

Comment 5 Hugo Cisneiros 2006-08-07 10:46:42 UTC
I usually only bump the release number when in the reviews, the update to the 
specfile is major and significant :) Thanks for the review.

Comment 6 Hugo Cisneiros 2006-08-07 13:17:33 UTC
Imported and built. Thanks! Closing now.

Comment 7 Gwyn Ciesla 2007-02-26 20:26:22 UTC
Change owner to limb@jcomserv.net (orphaned)


Note You need to log in before you can comment on or make changes to this bug.